Email::Sender::Failure::Multi(3)

NAME
Email::Sender::Failure::Multi - an aggregate of multiple failures

VERSION
version 1.300030

DESCRIPTION
A multiple failure report is raised when more than one failure is encountered when sending a single message, or when mixed states were encountered.

ATTRIBUTES

  failures
This method returns a list of other Email::Sender::Failure objects represented by this multi.

METHODS

  isa
A multiple failure will report that it is a Permanent or Temporary if all of its contained failures are failures of that type.

AUTHOR
Ricardo Signes <rjbs@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2016 by Ricardo Signes.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.